> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get journey user events



## OpenAPI

````yaml get /v1/analytics/journey/user-events
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/analytics/journey/user-events:
    get:
      summary: Get journey user events
      parameters:
        - schema:
            type: string
          required: false
          name: team_id
          in: query
        - schema:
            type: string
          required: false
          name: team_slug
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: false
          name: team_ids
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: false
          name: team_slugs
          in: query
        - schema:
            type: string
          required: false
          name: collection_id
          in: query
        - schema:
            type: string
          required: false
          name: collection_slug
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: false
          name: collection_ids
          in: query
        - schema:
            type: string
          required: false
          name: date_from
          in: query
        - schema:
            type: string
          required: false
          name: date_to
          in: query
        - schema:
            type: string
          required: false
          name: user_id
          in: query
        - schema:
            type: string
          required: false
          name: session_id
          in: query
        - schema:
            type: string
          required: false
          name: action
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 10000
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: after_cursor
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JourneyUserEventsResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    JourneyUserEventsResponse:
      type: object
      properties:
        meta:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
            required:
              - name
              - type
        data:
          type: array
          items:
            type: object
            properties:
              timestamp:
                type: string
              user_id:
                type: string
              session_id:
                type: string
              action:
                type: string
              version:
                type: string
              team_id:
                type: string
              collection_id:
                type: string
              pathname:
                type: string
              referrer:
                type: string
              device:
                type: string
              browser:
                type: string
              os:
                type: string
              country_code:
                type: string
              region_code:
                type: string
              block_id:
                type: string
              block_type:
                type: string
              dialog_content_type:
                type: string
              block_index:
                type: number
              short_url_id:
                type: string
              long_url:
                type: string
              token_id:
                type: string
              duration:
                type: number
              page_views:
                type: number
              cursor:
                type: string
              total_in_page:
                type: number
            required:
              - timestamp
              - user_id
              - session_id
              - action
              - version
              - team_id
              - collection_id
              - pathname
              - referrer
              - device
              - browser
              - os
              - country_code
              - region_code
              - block_id
              - block_type
              - dialog_content_type
              - block_index
              - short_url_id
              - long_url
              - token_id
              - duration
              - page_views
              - cursor
              - total_in_page
        rows:
          type: number
        statistics:
          type: object
          properties:
            elapsed:
              type: number
            rows_read:
              type: number
            bytes_read:
              type: number
          required:
            - elapsed
            - rows_read
            - bytes_read
      required:
        - meta
        - data
        - rows
        - statistics
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````